Unit tde24e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE24E_p, FJDE24E_p, DE24E_p;

function tde24e: String;

implementation

function tde24e: String;
var
M,JSTART,IORDER,I,IERR :Integer;
XN,XK,HMIN,HMAX,EPS,H,X :Extended;
BUL :Boolean;
RAB :Array [0..37] of Extended;
Y :Array [0..1] of Extended;
DELTY :Array [0..1] of Extended;
YPM :Array [0..1] of Extended;
YP :Array [0..15] of Extended;
Y1 :Array [0..1] of Real;
label
_10,_20;
begin
Result := '';  {   }
M := 2;
BUL := False;
H := 0.01e0;
HMAX := 0.1e0;
HMIN := 1.e-10;
EPS := 0.00001e0;
JSTART := 0;
IORDER := 6;
X := 0.e0;
Y[0] := 2.e0;
Y[1] := 18.e0;
for I:=1 to M do
 begin
_10:
  YPM[I-1] := 1.e0;
 end;
DE24E(FDE24E,FJDE24E,M,IORDER,JSTART,HMIN,HMAX,EPS,Y,X,H,
     BUL,YPM,DELTY,RAB,YP,IERR);
if ( IERR <> 0 ) 
 then goto _20;
XK := X;
Result := Result + Format(' %20.16f  %20.16f %20.16f ',
 [XK,Y[0],Y[1]]) + #$0D#$0A;
Result := Result + Format('%s',[' H=']);
Result := Result + Format('%20.16f ',[H]) + #$0D#$0A;
Result := Result + Format('%s',[' DELTY(1)']);
Result := Result + Format('%s',['          DELTY(2)']);
Result := Result + Format('%20.16f %20.16f ',
 [DELTY[0],DELTY[1]]) + #$0D#$0A;
_20:
UtRes('tde24e',Result);  {     tde24e.res }
exit;
end;

end.
